ruby-lang.org

Ruby 1.8.7-p299 released.


over 7 years ago by ruby-lang.org on ruby-lang.org.
Hello all. It's time for a new release of 1.8.7. This time we fixed various bugs, including the Unicode inspection bug that annoyed you a lot. For a...

Ruby 1.8.7-p299 released


over 7 years ago by ruby-lang.org on ruby-lang.org.
Hello all. It's time for a new release of 1.8.7. This time we fixed various bugs, including the Unicode inspection bug that annoyed you a lot. For a...

Ruby 1.9.2 RC1 is released


over 7 years ago by ruby-lang.org on ruby-lang.org.
Ruby 1.9.2 RC has just been released. This is a release candidate of Ruby 1.9.2. Ruby 1.9.2 will be mostly compatible with 1.9.1, except the following changes...

Ruby 1.9.1-p429 is released


over 7 years ago by ruby-lang.org on ruby-lang.org.
Ruby 1.9.1-p429 has just been released. This is a patchlevel release for Ruby 1.9.1. This fixes many bugs and includes the fix for a security vulnerability...

Ruby 1.9.2 RC2 is released


over 7 years ago by ruby-lang.org on ruby-lang.org.
Ruby 1.9.2 RC2 has just been released. This is the second release candidate of Ruby 1.9.2. The psych library has been fixed since the previous candidate...

Ruby 1.9.1-p430 is released


over 7 years ago by ruby-lang.org on ruby-lang.org.
Ruby 1.9.1-p430 has been released. This is a security fix for CVE-2010-0541. See the vulnerability report for more details.I recommend all Ruby 1.9.1 users...

XSS in WEBrick (CVE-2010-0541)


over 7 years ago by ruby-lang.org on ruby-lang.org.
A possible security vulnerability on WEBrick. The vulnerability has been reported as CVE-2010-0541. CVE-2010-0541DescriptionWEBrick have had a cross-site...

Ruby 1.8.7-p302 is released


over 7 years ago by ruby-lang.org on ruby-lang.org.
Ruby 1.8.7-p302 has been released([ruby-talk:367769]). This is a security fix for CVE-2010-0541. See the vulnerability report for more details.I recommend...

Ruby 1.9.2 is released


over 7 years ago by ruby-lang.org on ruby-lang.org.
Ruby 1.9.2 has been released. This is the newest release of Ruby 1.9 series. About Ruby 1.9.2Ruby 1.9.2 is mostly compatible with 1.9.1, except the following...

See Matz in San Francisco or Silicon Valley


~7 years ago by ruby-lang.org on ruby-lang.org.
Matz is visiting San Francisco and Silicon Vally on October 7th and 11th. He will be talking about new opportunities for Ruby such as embedded applications...